GamebeastDocs
Dashboard
Project APIExperiments (V2)

List experiments

GET
/application/{applicationId}/v2/experiments

List all experiments for the application and environment. Supports filtering by state, configuration, and cursor-based pagination.

Authorization

personalAccessTokenAuth
AuthorizationBearer <token>

Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

applicationId*number

Gamebeast project ID

Query Parameters

configurationId?integer
Range0 < value <= 9007199254740991
state?array<>
Items1 <= items
access?string

Value in

  • "public"
  • "private"
search?string
Length1 <= length <= 200
cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
Default50

Header Parameters

environment_id*number

Gamebeast environment ID

Response Body

application/json

curl -X GET "https://example.com/application/0/v2/experiments" \  -H "environment_id: 0"
{  "items": [    {      "id": 1,      "applicationId": 1,      "environmentId": 1,      "baseConfigurationId": 1,      "name": "string",      "description": "string",      "access": "public",      "unitType": "user",      "autoAssignment": true,      "assignmentMode": "weightedHash",      "permanentEnrollment": true,      "targeting": {        "version": 1,        "root": null      },      "requiredProperties": [        "string"      ],      "state": "scheduled",      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "terminatedAt": "2019-08-24T14:15:22Z",      "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",      "terminatedBy": "67700905-d026-410e-9812-5c6358f2720f",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "groupCount": 0    }  ],  "totalCount": 0,  "nextCursor": "string"}